using System;

namespace Sudaranje_brojeva
{
    internal class Program
    {
        static void Main(string[] args)
        {
            long a = long.Parse(Console.ReadLine());
            long b = long.Parse(Console.ReadLine());
            long brojac = 1;
            long c = 0;
            if (a > b)
            {

                while (a > 0)
                {
                    long a1 = a % 10;
                    long b1 = b % 10;
                    if (a1 > b1) c += a1 * brojac;
                    else c += b1 * brojac;
                    brojac *= 10;
                    b = b / 10;
                    a = a / 10;
                }
            }
            else
            {
                while (b > 0)
                {
                    long a1 = a % 10;
                    long b1 = b % 10;
                    if (a1 > b1) c += a1 * brojac;
                    else c += b1 * brojac;
                    brojac *= 10;
                    b = b / 10;
                    a = a / 10;
                }
            }
            Console.WriteLine(c);
        }
    }
}